glance:
  labels:
    api:
      node_selector_key: node-role.kubernetes.io/openstack-cp
      node_selector_value: enabled
    job:
      node_selector_key: node-role.kubernetes.io/openstack-cp
      node_selector_value: enabled
    registry:
      node_selector_key: node-role.kubernetes.io/openstack-cp
      node_selector_value: enabled
    test:
      node_selector_key: node-role.kubernetes.io/openstack-cp
      node_selector_value: enabled
  images:
    tags:
      glance_api: tn-regitry.cern.ch/glance:rocky-ubuntu_xenial
      glance_registry: tn-regitry.cern.ch/glance:rocky-ubuntu_xenial
      dep_check: 'tn-regitry.cern.ch/kubernetes-entrypoint:v0.3.1'
  storage: pvc
  volume:
    class_name: openebs-hostpath
    size: 25Gi
  conf:
  storage: pvc
  endpoints:
    oslo_db:
      hosts:
        default: dbod-iaas-tn.cern.ch
      host_fqdn_override:
        default: dbod-iaas-tn.cern.ch
      port:
        mysql:
          default: 5520
    oslo_messaging:
      hosts:
        default: openstack-tn-rabbitmq-ha
      host_fqdn_override:
        default: openstack-tn-rabbitmq-ha
    identity:
      auth:
        glance:
          region_name: tn1
heat:
  labels:
    api:
        node_selector_key: node-role.kubernetes.io/openstack-cp
        node_selector_value: enabled
    cfn:
        node_selector_key: node-role.kubernetes.io/openstack-cp
        node_selector_value: enabled
    cloudwatch:
        node_selector_key: node-role.kubernetes.io/openstack-cp
        node_selector_value: enabled
    engine:
        node_selector_key: node-role.kubernetes.io/openstack-cp
        node_selector_value: enabled
    job:
        node_selector_key: node-role.kubernetes.io/openstack-cp
        node_selector_value: enabled
    test:
        node_selector_key: node-role.kubernetes.io/openstack-cp
        node_selector_value: enabled
  images:
    tags:
      heat_db_sync:        tn-regitry.cern.ch/heat:13.0.0-1
      heat_api:            tn-regitry.cern.ch/heat:13.0.0-1
      heat_cfn:            tn-regitry.cern.ch/heat:13.0.0-1
      heat_cloudwatch:     tn-regitry.cern.ch/heat:13.0.0-1
      heat_engine:         tn-regitry.cern.ch/heat:13.0.0-1
      heat_engine_cleaner: tn-regitry.cern.ch/heat:13.0.0-1
      heat_purge_deleted:  tn-regitry.cern.ch/heat:13.0.0-1
      dep_check: 'tn-regitry.cern.ch/kubernetes-entrypoint:v0.3.1'
  conf:
    heat:
      DEFAULT:
        heat_waitcondition_server_url: http://openstack-heatcfn-tn1.cern.ch/v1/waitcondition
        heat_metadata_server_url: http://openstack-heatcfn-tn1.cern.ch
        region_name_for_services: tn1
      clients:
        insecure: "true"
      oslo_messaging_notifications:
        driver: noop
  endpoints:
    oslo_db:
      hosts:
        default: dbod-iaas-tn.cern.ch
      host_fqdn_override:
        default: dbod-iaas-tn.cern.ch
      port:
        mysql:
          default: 5520
    oslo_messaging:
      hosts:
        default: openstack-tn-rabbitmq-ha
      host_fqdn_override:
        default: openstack-tn-rabbitmq-ha
    identity:
      auth:
        heat:
          region_name: tn1
        heat_trustee:
          region_name: tn1

libvirt:
  images:
    tags:
      libvirt: tn-regitry.cern.ch/nova:19.0.1-10
      dep_check: 'tn-regitry.cern.ch/kubernetes-entrypoint:v0.3.1'

magnum:
  labels:
    api:
        node_selector_key: node-role.kubernetes.io/openstack-cp
        node_selector_value: enabled
    conductor:
        node_selector_key: node-role.kubernetes.io/openstack-cp
        node_selector_value: enabled
    job:
        node_selector_key: node-role.kubernetes.io/openstack-cp
        node_selector_value: enabled
  images:
    tags:
      magnum_api:       tn-regitry.cern.ch/openstack-magnum:56006979232e9a55e2f53905b627040fa194b3a1
      magnum_conductor: tn-regitry.cern.ch/openstack-magnum:56006979232e9a55e2f53905b627040fa194b3a1
      dep_check: 'tn-regitry.cern.ch/kubernetes-entrypoint:v0.3.1'
  conf:
    magnum:
      DEFAULT:
        log_config_append: ""
        debug: "true"
      certificates:
        cert_manager_type: x509keypair
      cluster:
        nodes_affinity_policy: "anti-affinity"
      drivers:
        verify_ca: "false"
      keystone_authtoken:
        insecure: "true"
      keystone_auth:
        auth_type: password
        auth_url: https://keystone.cern.ch/v3
        auth_version: v3
        insecure: "true"
        project_domain_name: Default
        project_name: services
        region_name: tn1
        service_token_roles_required: true
        user_domain_name: Default
        username: svcmag

      glance_client:
        region_name: "tn1"
        insecure: "true"
      heat_client:
        region_name: "tn1"
        insecure: "true"
      neutron_client:
        region_name: "tn1"
        insecure: "true"
      nova_client:
        region_name: "tn1"
        insecure: "true"
      octavia_client:
        region_name: "tn1"
        insecure: "true"
      barbican_client:
        region_name: "tn1"
        insecure: "true"
      cinder_client:
        region_name: "tn1"
        insecure: "true"
      magnum_client:
        region_name: "tn1"
        endpoint_type: "publicURL"
      oslo_messaging_notifications:
        driver: noop
    policy:
      context_is_admin: role:admin and is_admin_project:True
      project_admin: role:admin
      admin: role:admin or is_admin:True
      accounting: role:accounting
      service: role:service
      owner : tenant_id:%(tenant_id)s
      member: role:member or role:owner
      poweruser: role:poweruser
      operator: role:operator
      probe: role:probe
      security: role:security
      supporter: role:supporter
      baremetal_observer: role:baremetal_observer
      network_admin: role:network_admin
      storage_admin: role:storage_admin
      token_subject: user_id:%(target.token.user_id)s
      access: project_id:%(project_id)s
      publisher: role:publisher

      admin_or_user: is_admin:True or user_id:%(user_id)s
      cluster_user: user_id:%(trustee_user_id)s
      project: project_id:%(project_id)s
      user: user_id:%(target.token.user_id)s
      user_target: user_id:%(target.credential.user_id)s
      trustor: user_id:%(trust.trustor_user_id)s
      admin_or_owner: is_admin:True or project_id:%(project_id)s
      default: rule:admin_or_owner

      bay:create: rule:default
      bay:delete: rule:default
      bay:detail: rule:default
      bay:get: rule:default
      bay:get_all: rule:default
      bay:update: rule:default

      baymodel:create: rule:default
      baymodel:delete: rule:default
      baymodel:detail: rule:default
      baymodel:get: rule:default
      baymodel:get_all: rule:default
      baymodel:update: rule:default
      baymodel:publish: rule:admin

      cluster:create: rule:default
      cluster:delete: rule:default
      cluster:detail: rule:default
      cluster:get: rule:default
      cluster:get_all: rule:default
      cluster:update: rule:default

      clustertemplate:create: rule:default
      clustertemplate:delete: rule:default
      clustertemplate:detail: rule:default
      clustertemplate:get: rule:default
      clustertemplate:get_all: rule:default
      clustertemplate:update: rule:default
      clustertemplate:publish: rule:admin

      pod:create: rule:default
      pod:delete: rule:default
      pod:detail: rule:default
      pod:get: rule:default
      pod:get_all: rule:default
      pod:update: rule:default

      rc:create: rule:default
      rc:delete: rule:default
      rc:detail: rule:default
      rc:get: rule:default
      rc:get_all: rule:default
      rc:update: rule:default

      service:create: rule:default
      service:delete: rule:default
      service:detail: rule:default
      service:get: rule:default
      service:get_all: rule:default
      service:update: rule:default

      container:create: rule:admin_or_user
      container:delete: rule:admin_or_user
      container:detail: rule:default
      container:get: rule:default
      container:get_all: rule:default
      container:update: rule:admin_or_user

      certificate:create: rule:admin_or_owner or rule:cluster_user
      certificate:get: rule:admin_or_owner or rule:cluster_user
      certificate:rotate_ca: rule:admin_or_owner

      magnum-service:get_all: rule:admin
    #logging:
    #  loggers:
    #    keys:
    #      - root
    #      - magnum
    #  handlers:
    #    keys:
    #      - stdout
    #      - stderr
    #      - "null"
    #  formatters:
    #    keys:
    #      - context
    #      - default
    #  logger_root:
    #    level: DEBUG
    #    handlers: 'null'
    #  logger_magnum:
    #    level: DEBUG
    #    handlers:
    #      - stdout
    #    qualname: magnum
    logging:
      loggers:
        keys:
          - root
          - magnum
      handlers:
        keys:
          - stdout
          - stderr
          - "null"
      formatters:
        keys:
          - context
          - default
      logger_root:
        level: DEBUG
        handlers: 'null'
      logger_magnum:
        level: DEBUG
        handlers:
          - stdout
        qualname: magnum
      logger_amqp:
        level: DEBUG
        handlers: stderr
        qualname: amqp
      logger_amqplib:
        level: DEBUG
        handlers: stderr
        qualname: amqplib
      logger_eventletwsgi:
        level: DEBUG
        handlers: stderr
        qualname: eventlet.wsgi.server
      logger_sqlalchemy:
        level: DEBUG
        handlers: stderr
        qualname: sqlalchemy
      logger_boto:
        level: DEBUG
        handlers: stderr
        qualname: boto
  endpoints:
    oslo_db:
      hosts:
        default: dbod-iaas-tn.cern.ch
      host_fqdn_override:
        default: dbod-iaas-tn.cern.ch
      port:
        mysql:
          default: 5520
    oslo_messaging:
      hosts:
        default: openstack-tn-rabbitmq-ha
      host_fqdn_override:
        default: openstack-tn-rabbitmq-ha
    identity:
      auth:
        magnum:
          region_name: tn1
nova:

  labels:
    #agent:
    #  compute:
    #    node_selector_key: openstack-compute-node
    #    node_selector_value: enabled
    #  compute_ironic:
    #    node_selector_key: openstack-compute-node
    #    node_selector_value: enabled
    api_metadata:
      node_selector_key: node-role.kubernetes.io/nova-metadata
      node_selector_value: enabled
    conductor:
      node_selector_key: node-role.kubernetes.io/openstack-cp
      node_selector_value: enabled
    consoleauth:
      node_selector_key: node-role.kubernetes.io/openstack-cp
      node_selector_value: enabled
    job:
      node_selector_key: node-role.kubernetes.io/openstack-cp
      node_selector_value: enabled
    novncproxy:
      node_selector_key: node-role.kubernetes.io/openstack-cp
      node_selector_value: enabled
    osapi:
      node_selector_key: node-role.kubernetes.io/openstack-cp
      node_selector_value: enabled
    placement:
      node_selector_key: node-role.kubernetes.io/openstack-cp
      node_selector_value: enabled
    scheduler:
      node_selector_key: node-role.kubernetes.io/openstack-cp
      node_selector_value: enabled
    spiceproxy:
      node_selector_key: node-role.kubernetes.io/openstack-cp
      node_selector_value: enabled
    test:
      node_selector_key: node-role.kubernetes.io/openstack-cp
      node_selector_value: enabled

  images:
    tags:
      nova_api: tn-regitry.cern.ch/nova:19.0.1-cern-stein-tn1-interfaces-853b1ab-01
      nova_cell_setup: tn-regitry.cern.ch/nova:19.0.1-10-strigazi-console-02
      #nova_compute: tn-regitry.cern.ch/nova:19.0.1-10-strigazi-console-02
      nova_compute: tn-regitry.cern.ch/nova:19.0.1-10-strigazi-console-02
      nova_compute_ironic: 'tn-regitry.cern.ch/ubuntu-source-nova-compute-ironic:ocata'
      nova_compute_ssh: tn-regitry.cern.ch/nova:19.0.1-10-strigazi-console-02
      nova_conductor: tn-regitry.cern.ch/nova:19.0.1-cern-stein-tn1-interfaces-853b1ab-01
      nova_consoleauth: tn-regitry.cern.ch/nova:19.0.1-10-strigazi-console-02
      nova_db_sync: tn-regitry.cern.ch/nova:19.0.1-10-strigazi-console-02
      nova_novncproxy: tn-regitry.cern.ch/nova:19.0.1-10-strigazi-console-02
      nova_novncproxy_assets: 'tn-regitry.cern.ch/ubuntu-source-nova-novncproxy:ocata'
      nova_placement: tn-regitry.cern.ch/nova:19.0.1-10-strigazi-console-02
      nova_scheduler: tn-regitry.cern.ch/nova:19.0.1-cern-stein-tn1-interfaces-853b1ab-01
      nova_spiceproxy: tn-regitry.cern.ch/nova:19.0.1-10-strigazi-console-02
      dep_check: 'tn-regitry.cern.ch/kubernetes-entrypoint:v0.3.1'
  conf:
    nova:
      DEFAULT:
        activedirectory_endpoint: "https://compmgtsvc.web.cern.ch/compmgtsvc/compmgtsvc.asmx?wsdl"
      neutron:
        url: "https://openstack-neutron-tn1.cern.ch"
        default_floating_pool: "nova"
        extension_sync_interval: "600"
        timeout: "300"
        auth_type: "v3password"
        auth_url: "https://keystone.cern.ch/v3"
        project_name: "services"
        project_domain_name: "Default"
        username: "svcneu"
        user_domain_name: "Default"
        insecure: "true"
        region_name: "tn1"
      placement:
        insecure: "true"
        region_name: tn1
      workarounds:
        enable_consoleauth: "true"
      oslo_messaging_notifications:
        driver: "noop"
  endpoints:
    oslo_db:
      hosts:
        default: dbod-iaas-tn.cern.ch
      host_fqdn_override:
        default: dbod-iaas-tn.cern.ch
      port:
        mysql:
          default: 5520
    oslo_db_api:
      hosts:
        default: dbod-iaas-tn.cern.ch
      host_fqdn_override:
        default: dbod-iaas-tn.cern.ch
      port:
        mysql:
          default: 5520
    oslo_db_cell0:
      hosts:
        default: dbod-iaas-tn.cern.ch
      host_fqdn_override:
        default: dbod-iaas-tn.cern.ch
      port:
        mysql:
          default: 5520
    oslo_messaging:
      hosts:
        #default: 10.254.221.70
        default: openstack-tn-rabbitmq-ha.tn.svc.cluster.local
        #default: openstack-tn-rabbitmq-ha.tn
        #default: openstack-tn-rabbitmq-ha
      host_fqdn_override:
        #default: 10.254.221.70
        default: openstack-tn-rabbitmq-ha.tn.svc.cluster.local
        #default: openstack-tn-rabbitmq-ha.tn
        #default: openstack-tn-rabbitmq-ha
    identity:
      auth:
        nova:
          region_name: tn1
        placement:
          region_name: tn1
  pod:
    mounts:
      nova_compute:
        nova_compute:
          volumeMounts:
          - name: dev
            mountPath: /dev
          volumes:
          - name: dev
            hostPath:
              path: /dev
neutron:

  labels:
    agent:
      dhcp:
        node_selector_key: node-role.kubernetes.io/openstack-cp
        node_selector_value: enabled
      l3:
        node_selector_key: node-role.kubernetes.io/openstack-cp
        node_selector_value: enabled
      metadata:
        node_selector_key: node-role.kubernetes.io/openstack-cp
        node_selector_value: enabled
      l2gw:
        node_selector_key: node-role.kubernetes.io/openstack-cp
        node_selector_value: enabled
    job:
      node_selector_key: node-role.kubernetes.io/openstack-cp
      node_selector_value: enabled
    # lb:
    #   node_selector_key: linuxbridge
    #   node_selector_value: enabled
    # # openvswitch is a special case, requiring a special
    # # label that can apply to both control hosts
    # # and compute hosts, until we get more sophisticated
    # # with our daemonset scheduling
    # ovs:
    #   node_selector_key: openvswitch
    #   node_selector_value: enabled
    # sriov:
    #   node_selector_key: sriov
    #   node_selector_value: enabled
    # bagpipe_bgp:
    #   node_selector_key: openstack-compute-node
    #   node_selector_value: enabled
    server:
      node_selector_key: node-role.kubernetes.io/openstack-cp
      node_selector_value: enabled
    ironic_agent:
      node_selector_key: node-role.kubernetes.io/openstack-cp
      node_selector_value: enabled
    netns_cleanup_cron:
      node_selector_key: node-role.kubernetes.io/openstack-cp
      node_selector_value: enabled
    test:
      node_selector_key: node-role.kubernetes.io/openstack-cp
      node_selector_value: enabled

  images:
    tags:
      neutron_server: tn-regitry.cern.ch/neutron:v0.12.5-strigazi-06
      neutron_linuxbridge_agent: tn-regitry.cern.ch/neutron:v0.12.5-strigazi-06
      dep_check: 'tn-regitry.cern.ch/kubernetes-entrypoint:v0.3.1'
  conf:
    neutron:
      keystone_authtoken:
        insecure: "true" 
      nova:
        insecure: "true" 
        region_name: "tn1"
      oslo_messaging_notifications:
        driver: "noop"
    policy:
      context_is_admin: rule:admin or user_name:svcneu
      project_admin: role:admin
      admin: role:admin or is_admin:True
      accounting: role:accounting
      service: role:service
      owner: tenant_id:%(tenant_id)s
      member: role:member or role:owner
      poweruser: role:poweruser
      operator: role:operator
      probe: role:probe
      security: role:security
      supporter: role:supporter
      baremetal_observer: role:baremetal_observer
      network_admin: role:network_admin
      storage_admin: role:storage_admin
      token_subject: user_id:%(target.token.user_id)s
      access: project_id:%(project_id)s
      publisher: role:publisher
      admin_or_owner: rule:context_is_admin or (rule:access and (rule:member or rule:probe))
      admin_or_network_owner: rule:context_is_admin or tenant_id:%(network:tenant_id)s
      admin_owner_or_network_owner: rule:admin_or_network_owner or rule:owner
      admin_only: rule:context_is_admin
      regular_user: ''
      shared: field:networks:shared=True
      shared_firewalls: field:firewalls:shared=True
      shared_firewall_policies: field:firewall_policies:shared=True
      shared_subnetpools: field:subnetpools:shared=True
      shared_address_scopes: field:address_scopes:shared=True
      external: field:networks:router:external=True
      default: rule:admin_or_owner
      create_subnet: rule:admin_or_network_owner
      get_subnet: rule:admin_or_owner or rule:shared
      update_subnet: rule:admin_or_network_owner
      delete_subnet: rule:admin_or_network_owner
      create_subnetpool: ''
      create_subnetpool:shared: rule:admin_only
      get_subnetpool: rule:admin_or_owner or rule:shared_subnetpools
      update_subnetpool: rule:admin_or_owner
      delete_subnetpool: rule:admin_or_owner
      create_address_scope: ''
      create_address_scope:shared: rule:admin_only
      get_address_scope: rule:admin_or_owner or rule:shared_address_scopes
      update_address_scope: rule:admin_or_owner
      update_address_scope:shared: rule:admin_only
      delete_address_scope: rule:admin_or_owner
      create_network: rule:admin_or_owner or rule:service
      get_network: rule:admin_or_owner or rule:shared or rule:external or rule:service
      get_network:router:external: rule:regular_user
      get_network:segments: rule:admin_only
      get_network:provider:network_type: rule:admin_only
      get_network:provider:physical_network: rule:admin_only
      get_network:provider:segmentation_id: rule:admin_only
      get_network:queue_id: rule:admin_only
      create_network:shared: rule:admin_only
      create_network:router:external: rule:admin_only
      create_network:segments: rule:admin_only
      create_network:provider:network_type: rule:admin_only
      create_network:provider:physical_network: rule:admin_only
      create_network:provider:segmentation_id: rule:admin_only
      update_network: rule:admin_or_owner
      update_network:segments: rule:admin_only
      update_network:shared: rule:admin_only
      update_network:provider:network_type: rule:admin_only
      update_network:provider:physical_network: rule:admin_only
      update_network:provider:segmentation_id: rule:admin_only
      update_network:router:external: rule:admin_only
      delete_network: rule:admin_or_owner
      network_device: "field:port:device_owner=~^network:"
      create_port: rule:admin_or_network_owner or rule:service or rule:network_admin or rule:probe
      create_port:device_owner: not rule:network_device or rule:admin_or_network_owner or rule:service or rule:network_admin or rule:probe
      create_port:mac_address: rule:admin_or_network_owner or rule:service or rule:network_admin or rule:probe
      create_port:fixed_ips: rule:admin_or_network_owner or rule:service or rule:network_admin or rule:probe
      create_port:fixed_ips:ip_address: rule:admin_or_network_owner or rule:service or rule:network_admin or rule:probe
      create_port:fixed_ips:subnet_id: rule:admin_or_network_owner or rule:service or rule:network_admin or rule:probe
      create_port:port_security_enabled: rule:admin_or_network_owner or rule:service or rule:network_admin or rule:probe
      create_port:binding:host_id: rule:admin_only
      create_port:binding:profile: rule:admin_only
      create_port:mac_learning_enabled: rule:admin_or_network_owner or rule:service or rule:network_admin or rule:probe
      create_port:allowed_address_pairs: rule:admin_or_network_owner or rule:network_admin or rule:probe
      get_port: rule:admin_owner_or_network_owner or rule:service or rule:network_admin or rule:probe
      get_port:queue_id: rule:admin_only
      get_port:binding:vif_type: rule:admin_only
      get_port:binding:vif_details: rule:admin_only
      get_port:binding:host_id: rule:admin_only
      get_port:binding:profile: rule:admin_only
      update_port: rule:admin_or_owner or rule:service
      update_port:device_owner: not rule:network_device or rule:admin_or_network_owner or rule:service
      update_port:mac_address: rule:admin_only or rule:service
      update_port:fixed_ips: rule:admin_or_network_owner or rule:service
      update_port:port_security_enabled: rule:admin_or_network_owner or rule:service
      update_port:binding:host_id: rule:admin_only
      update_port:binding:profile: rule:admin_only
      update_port:mac_learning_enabled: rule:admin_or_network_owner or rule:service
      update_port:allowed_address_pairs: rule:admin_or_network_owner
      delete_port: rule:admin_owner_or_network_owner or rule:admin_or_owner or rule:service or rule:probe
      get_router:ha: rule:admin_only
      create_router: rule:admin_or_owner or rule:service
      create_router:external_gateway_info:enable_snat: rule:admin_only
      create_router:distributed: rule:admin_only
      create_router:ha: rule:admin_only
      get_router: rule:admin_or_owner
      get_router:distributed: rule:admin_only
      update_router:external_gateway_info:enable_snat: rule:admin_only
      update_router:distributed: rule:admin_only
      update_router:ha: rule:admin_only
      delete_router: rule:admin_or_owner
      add_router_interface: rule:admin_or_owner
      remove_router_interface: rule:admin_or_owner
      create_router:external_gateway_info:external_fixed_ips: rule:admin_only
      update_router:external_gateway_info:external_fixed_ips: rule:admin_only
      create_firewall: ''
      get_firewall: rule:admin_or_owner
      create_firewall:shared: rule:admin_only
      get_firewall:shared: rule:admin_only
      update_firewall: rule:admin_or_owner
      update_firewall:shared: rule:admin_only
      delete_firewall: rule:admin_or_owner
      create_firewall_policy: ''
      get_firewall_policy: rule:admin_or_owner or rule:shared_firewall_policies
      create_firewall_policy:shared: rule:admin_or_owner
      update_firewall_policy: rule:admin_or_owner
      delete_firewall_policy: rule:admin_or_owner
      insert_rule: rule:admin_or_owner
      remove_rule: rule:admin_or_owner
      create_firewall_rule: ''
      get_firewall_rule: rule:admin_or_owner or rule:shared_firewalls
      update_firewall_rule: rule:admin_or_owner
      delete_firewall_rule: rule:admin_or_owner
      create_qos_queue: rule:admin_only
      get_qos_queue: rule:admin_only
      update_agent: rule:admin_only
      delete_agent: rule:admin_only
      get_agent: rule:admin_only
      create_dhcp-network: rule:admin_only
      delete_dhcp-network: rule:admin_only
      get_dhcp-networks: rule:admin_only
      create_l3-router: rule:admin_only
      delete_l3-router: rule:admin_only
      get_l3-routers: rule:admin_only
      get_dhcp-agents: rule:admin_only
      get_l3-agents: rule:admin_only
      get_loadbalancer-agent: rule:admin_only
      get_loadbalancer-pools: rule:admin_only
      get_agent-loadbalancers: rule:admin_only
      get_loadbalancer-hosting-agent: rule:admin_only
      create_floatingip: rule:regular_user
      create_floatingip:floating_ip_address: rule:admin_only
      update_floatingip: rule:admin_or_owner
      delete_floatingip: rule:admin_or_owner
      get_floatingip: rule:admin_or_owner
      create_network_profile: rule:admin_only
      update_network_profile: rule:admin_only
      delete_network_profile: rule:admin_only
      get_network_profiles: ''
      get_network_profile: ''
      update_policy_profiles: rule:admin_only
      get_policy_profiles: ''
      get_policy_profile: ''
      create_metering_label: rule:admin_only
      delete_metering_label: rule:admin_only
      get_metering_label: rule:admin_only
      create_metering_label_rule: rule:admin_only
      delete_metering_label_rule: rule:admin_only
      get_metering_label_rule: rule:admin_only
      get_service_provider: rule:regular_user
      get_lsn: rule:admin_only
      create_lsn: rule:admin_only
      create_flavor: rule:admin_only
      update_flavor: rule:admin_only
      delete_flavor: rule:admin_only
      get_flavors: rule:regular_user
      get_flavor: rule:regular_user
      create_service_profile: rule:admin_only
      update_service_profile: rule:admin_only
      delete_service_profile: rule:admin_only
      get_service_profiles: rule:admin_only
      get_service_profile: rule:admin_only
      get_policy: rule:regular_user
      create_policy: rule:admin_only
      update_policy: rule:admin_only
      delete_policy: rule:admin_only
      get_policy_bandwidth_limit_rule: rule:regular_user
      create_policy_bandwidth_limit_rule: rule:admin_only
      delete_policy_bandwidth_limit_rule: rule:admin_only
      update_policy_bandwidth_limit_rule: rule:admin_only
      get_rule_type: rule:regular_user
      restrict_wildcard: (not field:rbac_policy:target_tenant=*) or rule:admin_only
      create_rbac_policy: ''
      create_rbac_policy:target_tenant: rule:restrict_wildcard
      update_rbac_policy: rule:admin_or_owner
      update_rbac_policy:target_tenant: rule:restrict_wildcard and rule:admin_or_owner
      get_rbac_policy: rule:admin_or_owner
      delete_rbac_policy: rule:admin_or_owner
      create_cluster: rule:admin_only
      delete_cluster: rule:admin_only
      update_cluster: rule:admin_only
      insert_subnet: rule:admin_only
      get_cluster: rule:admin_or_network_owner or rule:service
      remove_subnet: rule:admin_only
  endpoints:
    oslo_db:
      hosts:
        default: dbod-iaas-tn.cern.ch
      host_fqdn_override:
        default: dbod-iaas-tn.cern.ch
      port:
        mysql:
          default: 5520
    oslo_messaging:
      hosts:
        default: openstack-tn-rabbitmq-ha.tn.svc.cluster.local
      host_fqdn_override:
        default: openstack-tn-rabbitmq-ha.tn.svc.cluster.local
    identity:
      auth:
        neutron:
          region_name: tn1

rabbitmq-ha:
  image:
    repository: tn-regitry.cern.ch/rabbitmq
    tag: 3.8.7-alpine
  busyboxImage:
    repository: tn-regitry.cern.ch/busybox
    tag: 1.30.1
  livenessProbe:
    exec:
      command:
        - /bin/sh
        - -c
        - 'wget -O - -q --header "Authorization: Basic `echo -n \"$RABBIT_MANAGEMENT_USER:$RABBIT_MANAGEMENT_PASSWORD\" | base64`" http://127.0.0.1:15672/api/healthchecks/node | grep -qF "{\"status\":\"ok\"}"'
  readinessProbe:
    exec:
      command:
        - /bin/sh
        - -c
        - 'wget -O - -q --header "Authorization: Basic `echo -n \"$RABBIT_MANAGEMENT_USER:$RABBIT_MANAGEMENT_PASSWORD\" | base64`" http://127.0.0.1:15672/api/healthchecks/node | grep -qF "{\"status\":\"ok\"}"'

openebs:
  analytics:
    enabled: false
  apiserver:
    nodeSelector:
      node-role.kubernetes.io/openebs-cp: enabled
    image: tn-regitry.cern.ch/m-apiserver
    imageTag: 2.3.0
  cstor:
    pool:
      image: tn-regitry.cern.ch/cstor-pool
      imageTag: 2.3.0
    poolMgmt:
      image: tn-regitry.cern.ch/cstor-pool-mgmt
      imageTag: 2.3.0
    target:
      image: tn-regitry.cern.ch/cstor-istgt
      imageTag: 2.3.0
    volumeMgmt:
      image: tn-regitry.cern.ch/cstor-volume-mgmt
      imageTag: 2.3.0
  helper:
    image: tn-regitry.cern.ch/linux-utils
    imageTag: 2.3.0
  image:
    pullPolicy: IfNotPresent
    repository: ""
  jiva:
    image: tn-regitry.cern.ch/jiva
    imageTag: 2.3.0
  localprovisioner:
    nodeSelector:
      node-role.kubernetes.io/openebs-cp: enabled
    image: tn-regitry.cern.ch/provisioner-localpv
    imageTag: 2.3.0
  ndm:
    nodeSelector:
      # openebs Data Plane
      node-role.kubernetes.io/openebs-dp: enabled
    image: tn-regitry.cern.ch/node-disk-manager
    imageTag: 1.0.0
  ndmOperator:
    nodeSelector:
      node-role.kubernetes.io/openebs-cp: enabled
    image: tn-regitry.cern.ch/node-disk-operator
    imageTag: 1.0.0
  policies:
    monitoring:
      image: tn-regitry.cern.ch/m-exporter
      imageTag: 2.3.0
  provisioner:
    nodeSelector:
      node-role.kubernetes.io/openebs-cp: enabled
    image: tn-regitry.cern.ch/openebs-k8s-provisioner
    imageTag: 2.3.0
  snapshotOperator:
    nodeSelector:
      node-role.kubernetes.io/openebs-cp: enabled
    controller:
      image: tn-regitry.cern.ch/snapshot-controller
      imageTag: 2.3.0
    provisioner:
      image: tn-regitry.cern.ch/snapshot-provisioner
      imageTag: 2.3.0
  webhook:
    nodeSelector:
      node-role.kubernetes.io/openebs-cp: enabled
    replicas: 0
    image: tn-regitry.cern.ch/admission-server
    imageTag: 2.3.0
